For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chat

All the endpoints that can be called on the Chat controller.

All endpoints require the API_CHAT permission.

requestChatConfig

post

Requests chat configuration by this chat's details.

Authorizations
HTTPRequired
Body
chatServerstringOptional

type: ^[a-zA-Z0-9\.\:\/\-]+$

chatAccountTokenstringOptional

type: ^[a-zA-Z0-9]+$

Responses
200

Successful response

application/json
post/api/v2/chat/requestChatConfig
POST /api/v2/chat/requestChatConfig HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 47

{
  "chatServer": "text",
  "chatAccountToken": "text"
}
200

Successful response

notifyUserNewChatMessage

post

Notifies the user of a new chat message.

Authorizations
HTTPRequired
Body
chatServerstringOptional

type: ^[a-zA-Z0-9\.\:\/\-]+$

chatSessionIDstringOptional

type: ^\+?[a-zA-Z0-9\-]+$

chatAccountTokenstringOptional

type: ^[a-zA-Z0-9]+$

channelIDstringOptional

type: number = 8

Example:
messagestringOptional

type: string

urlstringOptional

type: string = ' '

messageNumberstringOptional

type: number = 1

usedPredefinedUserInputstringOptional

type: string = false

additionalDatastringOptional

type: string = ' '

externalAddressOverwritestringOptional

type: string = ' '

customerNamestringOptional

type: ^[a-zA-Z 0-9]+$ = null

emailAddressstringOptional

type: email

phoneNumberstringOptional

type: ^\+[0-9]+$ = null

Responses
200

Successful response

application/json
post/api/v2/chat/notifyUserNewChatMessage
POST /api/v2/chat/notifyUserNewChatMessage HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 295

{
  "chatServer": "text",
  "chatSessionID": "text",
  "chatAccountToken": "text",
  "channelID": " ",
  "message": "text",
  "url": "text",
  "messageNumber": "text",
  "usedPredefinedUserInput": "text",
  "additionalData": "text",
  "externalAddressOverwrite": "text",
  "customerName": "text",
  "emailAddress": "text",
  "phoneNumber": "text"
}
200

Successful response

notifyUserNewChatEvent

post

Notifies the user of a new chat event.

Authorizations
HTTPRequired
Body
chatServerstringOptional

type: ^[a-zA-Z0-9\.\:\/\-]+$

chatSessionIDstringOptional

type: ^[a-zA-Z0-9\-]+$

eventstringOptional

type: ^startedtyping|stoppedtyping|expandedchat|minimizedchat$

Responses
200

Successful response

application/json
post/api/v2/chat/notifyUserNewChatEvent
POST /api/v2/chat/notifyUserNewChatEvent HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 59

{
  "chatServer": "text",
  "chatSessionID": "text",
  "event": "text"
}
200

Successful response

notifyUserVisited

post

Notifies the user of a new chat URL visited.

Authorizations
HTTPRequired
Body
chatServerstringOptional

type: ^[a-zA-Z0-9\.\:\/\-]+$

chatSessionIDstringOptional

type: ^[a-zA-Z0-9\-]+$

urlstringOptional

type: string

Responses
200

Successful response

application/json
post/api/v2/chat/notifyUserVisited
POST /api/v2/chat/notifyUserVisited HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 57

{
  "chatServer": "text",
  "chatSessionID": "text",
  "url": "text"
}
200

Successful response

notifyUserEndChat

post

Notifies the user that the chat has ended.

Authorizations
HTTPRequired
Body
chatServerstringOptional

type: ^[a-zA-Z0-9\.\:\/\-]+$

chatSessionIDstringOptional

type: ^[a-zA-Z0-9\-]+$

Responses
200

Successful response

application/json
post/api/v2/chat/notifyUserEndChat
POST /api/v2/chat/notifyUserEndChat HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 44

{
  "chatServer": "text",
  "chatSessionID": "text"
}
200

Successful response

addAttachment

post

Adds an attachment to the chat.

Authorizations
HTTPRequired
Query parameters
chatServerstringOptional
chatSessionIDstringOptional
chatAccountTokenstringOptional
Body
filestring · binaryOptional

type: binary

Responses
200

Successful response

application/json
post/api/v2/chat/addAttachment
POST /api/v2/chat/addAttachment HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17

{
  "file": "binary"
}
200

Successful response

checkOriginAndIP

post

Checks the origin and IP address of this user.

Authorizations
HTTPRequired
Body
chatServerstringOptional

type: ^[a-zA-Z0-9\.\:\/\-]+$

chatAccountTokenstringOptional

type: ^[a-zA-Z0-9]+$

originstringOptional

type: ^[a-zA-Z0-9\.\-]+$

The hostname from the domain to be checked.

ipstringOptional

type: string

Responses
200

Successful response

application/json
post/api/v2/chat/checkOriginAndIP
POST /api/v2/chat/checkOriginAndIP HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 75

{
  "chatServer": "text",
  "chatAccountToken": "text",
  "origin": "text",
  "ip": "text"
}
200

Successful response

whitelistedDomainsAndBlacklistedIPs

get

Returns all the whitelisted domains and blacklisted IP addresses.

Authorizations
HTTPRequired
Responses
200

Successful response

application/json
get/api/v2/chat/whitelistedDomainsAndBlacklistedIPs
GET /api/v2/chat/whitelistedDomainsAndBlacklistedIPs HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

requestChatQueue

post

Returns the chat queue.

Authorizations
HTTPRequired
Body
chatAccountTokenstringOptional

type: ^[a-zA-Z0-9]+$

Responses
200

Successful response

application/json
post/api/v2/chat/requestChatQueue
POST /api/v2/chat/requestChatQueue HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 27

{
  "chatAccountToken": "text"
}
200

Successful response

Last updated